<a [class.is-active]="currentViewMode === packageButtonNavigatorTypeEnum.deposit"
   [class.is-disabled]="(depositId | isNullOrUndefinedOrWhiteString) || (orgUnitId | isNullOrUndefinedOrWhiteString)"
   [matTooltip]="labelTranslateEnum.deposit | translate"
   [routerLink]="(navigateToDeposit | isNotNullNorUndefined) ? navigateToDeposit : undefined"
   class="button no-hover-animation"
>
  <solidify-icon [iconName]="iconNameEnum.deposit"
                 class="icon size-16"
  ></solidify-icon>
  <span class="text">{{labelTranslateEnum.deposit | translate}}</span>
</a>
<div class="separator"></div>
<a [class.is-active]="currentViewMode === packageButtonNavigatorTypeEnum.sip"
   [class.is-disabled]="sipId | isNullOrUndefinedOrWhiteString"
   [matTooltip]="labelTranslateEnum.sip | translate"
   [routerLink]="(navigateTo(packageButtonNavigatorTypeEnum.sip, sipId) | isNotNullNorUndefined) ? navigateTo(packageButtonNavigatorTypeEnum.sip,
   sipId) : undefined"
   class="button no-hover-animation"
>
  <solidify-icon [iconName]="iconNameEnum.sip"
                 class="icon size-16"
  ></solidify-icon>
  <span class="text">{{labelTranslateEnum.sip | translate}}</span>
</a>
<div class="separator"></div>
<div *ngIf="archivalStorageList | isNonEmptyArray"
     class="storagions button"
     [class.is-disabled]="aipId | isNullOrUndefinedOrWhiteString"
     [class.is-active]="currentViewMode === packageButtonNavigatorTypeEnum.storage"
>
  <div class="storagion-icon">
    @for (storage of archivalStorageList; track storage) {
      <a [routerLink]="(navigateToStoragion(storage) | isNotNullNorUndefined) ? navigateToStoragion(storage) : undefined"
         class="no-hover-animation"
      >
        <solidify-icon [class.no-hover-animation]="currentViewMode === packageButtonNavigatorTypeEnum.storage || (aipId | isNullOrUndefinedOrWhiteString)"
                       [class.is-active]="currentViewMode === packageButtonNavigatorTypeEnum.storage && storage.index === currentStorageIndex"
                       [class.is-disabled]="aipId | isNullOrUndefinedOrWhiteString"
                       [matTooltip]="(labelTranslateEnum.storagion | translate) + ' ' + storage.index + ': ' + storage.name"
                       [iconName]="iconNameEnum.aip"
                       class="icon size-16"
        ></solidify-icon>
      </a>
    }
  </div>
  <span class="text"
        (click)="navigateToStoragion(archivalStorageList[0])"
  >{{labelTranslateEnum.storagion | translate}}</span>
</div>
<div class="separator"></div>
<a [class.is-active]="currentViewMode === packageButtonNavigatorTypeEnum.dip"
   [class.is-disabled]="dipId | isNullOrUndefinedOrWhiteString"
   [matTooltip]="labelTranslateEnum.dip | translate"
   [routerLink]="(navigateTo(packageButtonNavigatorTypeEnum.dip, dipId) | isNotNullNorUndefined) ? navigateTo(packageButtonNavigatorTypeEnum.dip,
   dipId) : undefined"
   class="button no-hover-animation"
>
  <solidify-icon [iconName]="iconNameEnum.dip"
                 class="icon size-16"
  ></solidify-icon>
  <span class="text">{{labelTranslateEnum.dip | translate}}</span>
</a>
